package errors

var (
	CouldNotInferType          = &Base{"Couldn't infer type"}
	EmptySwitch                = &Base{"Empty switch"}
	ExpectedFunctionName       = &Base{"Expected function name"}
	ExpectedFunctionParameters = &Base{"Expected function parameters"}
	ExpectedFunctionDefinition = &Base{"Expected function definition"}
	ExpectedIfBeforeElse       = &Base{"Expected an 'if' block before 'else'"}
	ExpectedPackageName        = &Base{"Expected package name"}
	ExpectedStructName         = &Base{"Expected struct name"}
	InvalidNumber              = &Base{"Invalid number"}
	InvalidExpression          = &Base{"Invalid expression"}
	InvalidRune                = &Base{"Invalid rune"}
	InvalidStatement           = &Base{"Invalid statement"}
	MissingBlockStart          = &Base{"Missing '{'"}
	MissingBlockEnd            = &Base{"Missing '}'"}
	MissingExpression          = &Base{"Missing expression"}
	MissingGroupStart          = &Base{"Missing '('"}
	MissingGroupEnd            = &Base{"Missing ')'"}
	MissingMainFunction        = &Base{"Missing main function"}
	MissingOperand             = &Base{"Missing operand"}
	MissingParameter           = &Base{"Missing parameter"}
	MissingType                = &Base{"Missing type"}
	NotImplemented             = &Base{"Not implemented"}
)
